log() {
	logger -t odroid-base "$@"
}               

error() {
	log "error: $*"
}

warning() {
	log "warning: $*"
}       

info() {
	log "info: $*"  
}

exit_error() {  
	error "exiting on error $1"
	db_progress stop
	db_input critical $1 || [ $? -eq 30 ]
	db_go
	exit 1
}

odroid_model_long() {
	if [ -e /proc/device-tree/model ]; then
		cat /proc/device-tree/model
	elif [ -e /sys/firmware/devicetree/base/model ]; then
		cat /sys/firmware/devicetree/base/model
	elif [ -e /sys/devices/soc0/machine ]; then
		cat /sys/devices/soc0/machine
	fi
}

odroid_model_simple() {
	local model=$(odroid_model_long)

	if [ ! -z $model ]; then
		cat $model | cut -d " " -f 2 | sed 's/-//' | tr '[A-Z]' '[a-z]'
	fi
}

default_bootscript_package() {
	case "$(odroid_model_long)" in
		"Hardkernel ODROID-N2")
			echo "bootscript-odroidn2"
			;;
		"Hardkernel Odroid XU4")
			echo "bootscript-odroid-exynos5422"
			;;
	esac
}
